List subscriptions
GET
/api/tenant/{tenantId}/Subscriptions
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.nimles.com/e-commerce/api/tenant/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/Subscriptions"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.nimles.com/e-commerce/api/tenant/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/Subscriptions';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.nimles.com/e-commerce/api/tenant/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/Subscriptions \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenantId
required
string format: uuid
Your tenant id.
Query Parameters
Section titled “Query Parameters”ids
Array<string>
workspaceId
string format: uuid
organizationId
string format: uuid
Responses
Section titled “Responses”OK
Media typeapplication/json
object
fields
object
key
additional properties
string
data
Array<object>
object
fields
object
key
additional properties
object
value
required
valueType
string
accessibility
string
id
string format: uuid
relations
Array<object>
object
fields
object
key
additional properties
object
value
required
valueType
string
accessibility
string
id
string format: uuid
name
string
entityId
required
string format: uuid
entityType
required
string
relationType
required
string
tenantId
string format: uuid
resourceGroupId
string format: uuid
creatorId
string format: uuid
createdDate
string format: date-time
version
integer format: int32
lastModified
string format: date-time
workspaceId
string format: uuid
organizationId
string format: uuid
plan
string
status
string
seatCount
integer format: int32
billingOwnerId
string format: uuid
stripeSubscriptionId
string
stripeCustomerId
string
trialEndsAt
string format: date-time
currentPeriodEnd
string format: date-time
canceledAt
string format: date-time
cancelAtPeriodEnd
boolean
Example generated
{ "data": [ { "fields": { "additionalProperty": { "value": "example", "valueType": "example" } }, "accessibility": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "relations": [ { "fields": { "additionalProperty": { "value": "example", "valueType": "example" } }, "accessibility": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "entityId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "entityType": "example", "relationType": "example" } ], "tenantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "resourceGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "creatorId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdDate": "2026-04-15T12:00:00Z", "version": 1, "lastModified": "2026-04-15T12:00:00Z", "workspaceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "organizationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "plan": "example", "status": "example", "seatCount": 1, "billingOwnerId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "stripeSubscriptionId": "example", "stripeCustomerId": "example", "trialEndsAt": "2026-04-15T12:00:00Z", "currentPeriodEnd": "2026-04-15T12:00:00Z", "canceledAt": "2026-04-15T12:00:00Z", "cancelAtPeriodEnd": true } ]}Unauthorized: no bearer token, or one that is expired or not for this API.
Forbidden: the caller holds no role that allows this action at this scope. The body is empty, or a problem whose detail names the action.
Media typeapplication/json
An RFC 9457 problem.
object
detail
string
instance
string
status
integer format: int32
title
string
type
string
key
additional properties
Example generated
{ "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}